Name: x11-font-bh-type1
Version: 1.0.4
Release: %mkrel 2
Summary: Xorg X11 font bh-type1
Group: Development/X11
# We may not modify the software!
# https://qa.mandriva.com/show_bug.cgi?id=38627
License: Bigelow & Holmes Font License
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/font/font-bh-type1-%{version}.tar.xz
BuildArch: noarch
BuildRequires: fontconfig
BuildRequires: x11-font-util >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11 <= 6.9.0
Requires(post): mkfontdir
Requires(postun): mkfontdir
Requires(post): mkfontscale
Requires(postun): mkfontscale

%description
Xorg X11 font bh-type1.

%prep
%setup -q -n font-bh-type1-%{version}

%build
./configure --prefix=/usr --x-includes=%{_includedir}\
	    --x-libraries=%{_libdir} --with-fontdir=%_datadir/fonts/Type1

%make_build

%install
%make_install
rm -f %{buildroot}%_datadir/fonts/Type1/fonts.dir
rm -f %{buildroot}%_datadir/fonts/Type1/fonts.scale

%post
mkfontscale %_datadir/fonts/Type1
mkfontdir %_datadir/fonts/Type1

%postun
mkfontscale %_datadir/fonts/Type1
mkfontdir %_datadir/fonts/Type1

%files
%doc COPYING
%_datadir/fonts/Type1/l04*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.4-2.mga10
+ Revision: 2244113
- Mageia 10 Mass Rebuild

* Fri Dec 06 2024 ns80 <ns80> 1.0.4-1.mga10.nonfree
+ Revision: 2122052
- new version 1.0.4

* Sat Apr 16 2022 umeabot <umeabot> 1.0.3-10.mga9.nonfree
+ Revision: 1850613
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.0.3-9.mga8.nonfree
+ Revision: 1548847
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1.0.3-8.mga7.nonfree
+ Revision: 1292145
- Mageia 7 Mass Rebuild

* Fri Jul 07 2017 akien <akien> 1.0.3-7.mga6.nonfree
+ Revision: 1109222
- Mageia 6 rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-6.mga5.nonfree
+ Revision: 749169
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-5.mga5.nonfree
+ Revision: 690488
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1.0.3-4.mga4.nonfree
+ Revision: 548563
- Mageia 4 rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.3-3.mga3.nonfree
+ Revision: 386088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 16 2011 ahmad <ahmad> 1.0.3-2.mga1
+ Revision: 72706
- add link to the mdv bug report about the license:
  https://qa.mandriva.com/38627
- imported package x11-font-bh-type1


* Thu Dec 09 2010 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 618714
- new release

* Wed Oct 06 2010 Thierry Vignaud <tv@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 583197
- new release

* Thu Jan 21 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.1-1mdv2010.1
+ Revision: 494561
- Fix license (#38627)
- New version: 1.0.1

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.0-7mdv2009.1
+ Revision: 351349
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-6mdv2009.0
+ Revision: 225979
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.0.0-5mdv2008.1
+ Revision: 129716
- kill re-definition of %%buildroot on Pixel's request

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild prep


* Thu Aug 03 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-03 18:52:25 (51470)
- Fonts packages now are noarch. Moved for new place /usr/share/fonts. Approved by Boiko

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

